#!/scratchbox/tools/bin/python

import sys, os, sb.config

arch = sb.config.get_compiler_info().arch
bin = os.path.join(sb.config.tools_dir, "qemu-" + arch)
if os.path.exists(bin):
	os.execvp(bin, sys.argv)
else:
	sys.stderr.write("%s: No qemu binary found for architecture: %s\n" % (sys.argv[0], arch))
	sys.exit(1)
